Subject: gradients

From: [email-masked]
Date: Fri, 17 Jul 1998 18:54:33 -0500 (EST)

Hello everybody.  It has been a long time since I wrote a
program myself to calculate the gradient of a function,
and am hoping that some of you experts out there can help
me.

Here is my very simple problem:
I have a 3-D space and can calculate the value of the function
at any sets of points in the space that I choose.  I must
calculate the gradient of my function.  Can anybody give me 
some pointers about the best way to do this (both in terms of
comnputational efficiency and accuracy)?  Is it best to take
a rectangular 3-D box and space the points evenly?  Is there
a numerical recipe book with an efficient routine to get the
gradient?  

Would appreciate any helpful advice or comments.

Thanks in advance,

Mary j.o.